IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network225.134.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
- Network address
225.134.0.0- Broadcast address
225.135.255.255- First usable
225.134.0.1- Last usable
225.135.255.254- Usable hosts
- 131,070 (131,072 less the network and broadcast addresses)
- Subnet mask
255.254.0.0- Wildcard mask
0.1.255.255(Cisco ACLs, OSPF)- Prefix length
- /15
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E1860000· Integer3783655424to3783786495 - Reverse DNS zones
134.225.in-addr.arpa135.225.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11100001.10000110.00000000.00000000 | 225.134.0.0 |
| Subnet mask | 11111111.11111110.00000000.00000000 | 255.254.0.0 |
| Network | 11100001.10000110.00000000.00000000 | 225.134.0.0 |
| Broadcast | 11100001.10000111.11111111.11111111 | 225.135.255.255 |
Split into smaller subnets
/16 (2)/17 (4)/18 (8)/19 (16)/20 (32)/21 (64)/22 (128)/23 (256)/24 (512)/25 (1,024)/26 (2,048)/27 (4,096)
225.134.0.0/15 makes 512 subnets of /24; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 225.134.0.0/24 | 225.134.0.1 to 225.134.0.254 | 225.134.0.255 | 254 |
| 2 | 225.134.1.0/24 | 225.134.1.1 to 225.134.1.254 | 225.134.1.255 | 254 |
| 3 | 225.134.2.0/24 | 225.134.2.1 to 225.134.2.254 | 225.134.2.255 | 254 |
| 4 | 225.134.3.0/24 | 225.134.3.1 to 225.134.3.254 | 225.134.3.255 | 254 |
| 5 | 225.134.4.0/24 | 225.134.4.1 to 225.134.4.254 | 225.134.4.255 | 254 |
| 6 | 225.134.5.0/24 | 225.134.5.1 to 225.134.5.254 | 225.134.5.255 | 254 |
| 7 | 225.134.6.0/24 | 225.134.6.1 to 225.134.6.254 | 225.134.6.255 | 254 |
| 8 | 225.134.7.0/24 | 225.134.7.1 to 225.134.7.254 | 225.134.7.255 | 254 |
| 9 | 225.134.8.0/24 | 225.134.8.1 to 225.134.8.254 | 225.134.8.255 | 254 |
| 10 | 225.134.9.0/24 | 225.134.9.1 to 225.134.9.254 | 225.134.9.255 | 254 |
| 11 | 225.134.10.0/24 | 225.134.10.1 to 225.134.10.254 | 225.134.10.255 | 254 |
| 12 | 225.134.11.0/24 | 225.134.11.1 to 225.134.11.254 | 225.134.11.255 | 254 |
| 13 | 225.134.12.0/24 | 225.134.12.1 to 225.134.12.254 | 225.134.12.255 | 254 |
| 14 | 225.134.13.0/24 | 225.134.13.1 to 225.134.13.254 | 225.134.13.255 | 254 |
| 15 | 225.134.14.0/24 | 225.134.14.1 to 225.134.14.254 | 225.134.14.255 | 254 |
| 16 | 225.134.15.0/24 | 225.134.15.1 to 225.134.15.254 | 225.134.15.255 | 254 |
| 17 | 225.134.16.0/24 | 225.134.16.1 to 225.134.16.254 | 225.134.16.255 | 254 |
| 18 | 225.134.17.0/24 | 225.134.17.1 to 225.134.17.254 | 225.134.17.255 | 254 |
| 19 | 225.134.18.0/24 | 225.134.18.1 to 225.134.18.254 | 225.134.18.255 | 254 |
| 20 | 225.134.19.0/24 | 225.134.19.1 to 225.134.19.254 | 225.134.19.255 | 254 |
| 21 | 225.134.20.0/24 | 225.134.20.1 to 225.134.20.254 | 225.134.20.255 | 254 |
| 22 | 225.134.21.0/24 | 225.134.21.1 to 225.134.21.254 | 225.134.21.255 | 254 |
| 23 | 225.134.22.0/24 | 225.134.22.1 to 225.134.22.254 | 225.134.22.255 | 254 |
| 24 | 225.134.23.0/24 | 225.134.23.1 to 225.134.23.254 | 225.134.23.255 | 254 |
| 25 | 225.134.24.0/24 | 225.134.24.1 to 225.134.24.254 | 225.134.24.255 | 254 |
| 26 | 225.134.25.0/24 | 225.134.25.1 to 225.134.25.254 | 225.134.25.255 | 254 |
| 27 | 225.134.26.0/24 | 225.134.26.1 to 225.134.26.254 | 225.134.26.255 | 254 |
| 28 | 225.134.27.0/24 | 225.134.27.1 to 225.134.27.254 | 225.134.27.255 | 254 |
| 29 | 225.134.28.0/24 | 225.134.28.1 to 225.134.28.254 | 225.134.28.255 | 254 |
| 30 | 225.134.29.0/24 | 225.134.29.1 to 225.134.29.254 | 225.134.29.255 | 254 |
| 31 | 225.134.30.0/24 | 225.134.30.1 to 225.134.30.254 | 225.134.30.255 | 254 |
| 32 | 225.134.31.0/24 | 225.134.31.1 to 225.134.31.254 | 225.134.31.255 | 254 |
| 33 | 225.134.32.0/24 | 225.134.32.1 to 225.134.32.254 | 225.134.32.255 | 254 |
| 34 | 225.134.33.0/24 | 225.134.33.1 to 225.134.33.254 | 225.134.33.255 | 254 |
| 35 | 225.134.34.0/24 | 225.134.34.1 to 225.134.34.254 | 225.134.34.255 | 254 |
| 36 | 225.134.35.0/24 | 225.134.35.1 to 225.134.35.254 | 225.134.35.255 | 254 |
| 37 | 225.134.36.0/24 | 225.134.36.1 to 225.134.36.254 | 225.134.36.255 | 254 |
| 38 | 225.134.37.0/24 | 225.134.37.1 to 225.134.37.254 | 225.134.37.255 | 254 |
| 39 | 225.134.38.0/24 | 225.134.38.1 to 225.134.38.254 | 225.134.38.255 | 254 |
| 40 | 225.134.39.0/24 | 225.134.39.1 to 225.134.39.254 | 225.134.39.255 | 254 |
| 41 | 225.134.40.0/24 | 225.134.40.1 to 225.134.40.254 | 225.134.40.255 | 254 |
| 42 | 225.134.41.0/24 | 225.134.41.1 to 225.134.41.254 | 225.134.41.255 | 254 |
| 43 | 225.134.42.0/24 | 225.134.42.1 to 225.134.42.254 | 225.134.42.255 | 254 |
| 44 | 225.134.43.0/24 | 225.134.43.1 to 225.134.43.254 | 225.134.43.255 | 254 |
| 45 | 225.134.44.0/24 | 225.134.44.1 to 225.134.44.254 | 225.134.44.255 | 254 |
| 46 | 225.134.45.0/24 | 225.134.45.1 to 225.134.45.254 | 225.134.45.255 | 254 |
| 47 | 225.134.46.0/24 | 225.134.46.1 to 225.134.46.254 | 225.134.46.255 | 254 |
| 48 | 225.134.47.0/24 | 225.134.47.1 to 225.134.47.254 | 225.134.47.255 | 254 |
| 49 | 225.134.48.0/24 | 225.134.48.1 to 225.134.48.254 | 225.134.48.255 | 254 |
| 50 | 225.134.49.0/24 | 225.134.49.1 to 225.134.49.254 | 225.134.49.255 | 254 |
| 51 | 225.134.50.0/24 | 225.134.50.1 to 225.134.50.254 | 225.134.50.255 | 254 |
| 52 | 225.134.51.0/24 | 225.134.51.1 to 225.134.51.254 | 225.134.51.255 | 254 |
| 53 | 225.134.52.0/24 | 225.134.52.1 to 225.134.52.254 | 225.134.52.255 | 254 |
| 54 | 225.134.53.0/24 | 225.134.53.1 to 225.134.53.254 | 225.134.53.255 | 254 |
| 55 | 225.134.54.0/24 | 225.134.54.1 to 225.134.54.254 | 225.134.54.255 | 254 |
| 56 | 225.134.55.0/24 | 225.134.55.1 to 225.134.55.254 | 225.134.55.255 | 254 |
| 57 | 225.134.56.0/24 | 225.134.56.1 to 225.134.56.254 | 225.134.56.255 | 254 |
| 58 | 225.134.57.0/24 | 225.134.57.1 to 225.134.57.254 | 225.134.57.255 | 254 |
| 59 | 225.134.58.0/24 | 225.134.58.1 to 225.134.58.254 | 225.134.58.255 | 254 |
| 60 | 225.134.59.0/24 | 225.134.59.1 to 225.134.59.254 | 225.134.59.255 | 254 |
| 61 | 225.134.60.0/24 | 225.134.60.1 to 225.134.60.254 | 225.134.60.255 | 254 |
| 62 | 225.134.61.0/24 | 225.134.61.1 to 225.134.61.254 | 225.134.61.255 | 254 |
| 63 | 225.134.62.0/24 | 225.134.62.1 to 225.134.62.254 | 225.134.62.255 | 254 |
| 64 | 225.134.63.0/24 | 225.134.63.1 to 225.134.63.254 | 225.134.63.255 | 254 |
| 65 | 225.134.64.0/24 | 225.134.64.1 to 225.134.64.254 | 225.134.64.255 | 254 |
| 66 | 225.134.65.0/24 | 225.134.65.1 to 225.134.65.254 | 225.134.65.255 | 254 |
| 67 | 225.134.66.0/24 | 225.134.66.1 to 225.134.66.254 | 225.134.66.255 | 254 |
| 68 | 225.134.67.0/24 | 225.134.67.1 to 225.134.67.254 | 225.134.67.255 | 254 |
| 69 | 225.134.68.0/24 | 225.134.68.1 to 225.134.68.254 | 225.134.68.255 | 254 |
| 70 | 225.134.69.0/24 | 225.134.69.1 to 225.134.69.254 | 225.134.69.255 | 254 |
| 71 | 225.134.70.0/24 | 225.134.70.1 to 225.134.70.254 | 225.134.70.255 | 254 |
| 72 | 225.134.71.0/24 | 225.134.71.1 to 225.134.71.254 | 225.134.71.255 | 254 |
| 73 | 225.134.72.0/24 | 225.134.72.1 to 225.134.72.254 | 225.134.72.255 | 254 |
| 74 | 225.134.73.0/24 | 225.134.73.1 to 225.134.73.254 | 225.134.73.255 | 254 |
| 75 | 225.134.74.0/24 | 225.134.74.1 to 225.134.74.254 | 225.134.74.255 | 254 |
| 76 | 225.134.75.0/24 | 225.134.75.1 to 225.134.75.254 | 225.134.75.255 | 254 |
| 77 | 225.134.76.0/24 | 225.134.76.1 to 225.134.76.254 | 225.134.76.255 | 254 |
| 78 | 225.134.77.0/24 | 225.134.77.1 to 225.134.77.254 | 225.134.77.255 | 254 |
| 79 | 225.134.78.0/24 | 225.134.78.1 to 225.134.78.254 | 225.134.78.255 | 254 |
| 80 | 225.134.79.0/24 | 225.134.79.1 to 225.134.79.254 | 225.134.79.255 | 254 |
| 81 | 225.134.80.0/24 | 225.134.80.1 to 225.134.80.254 | 225.134.80.255 | 254 |
| 82 | 225.134.81.0/24 | 225.134.81.1 to 225.134.81.254 | 225.134.81.255 | 254 |
| 83 | 225.134.82.0/24 | 225.134.82.1 to 225.134.82.254 | 225.134.82.255 | 254 |
| 84 | 225.134.83.0/24 | 225.134.83.1 to 225.134.83.254 | 225.134.83.255 | 254 |
| 85 | 225.134.84.0/24 | 225.134.84.1 to 225.134.84.254 | 225.134.84.255 | 254 |
| 86 | 225.134.85.0/24 | 225.134.85.1 to 225.134.85.254 | 225.134.85.255 | 254 |
| 87 | 225.134.86.0/24 | 225.134.86.1 to 225.134.86.254 | 225.134.86.255 | 254 |
| 88 | 225.134.87.0/24 | 225.134.87.1 to 225.134.87.254 | 225.134.87.255 | 254 |
| 89 | 225.134.88.0/24 | 225.134.88.1 to 225.134.88.254 | 225.134.88.255 | 254 |
| 90 | 225.134.89.0/24 | 225.134.89.1 to 225.134.89.254 | 225.134.89.255 | 254 |
| 91 | 225.134.90.0/24 | 225.134.90.1 to 225.134.90.254 | 225.134.90.255 | 254 |
| 92 | 225.134.91.0/24 | 225.134.91.1 to 225.134.91.254 | 225.134.91.255 | 254 |
| 93 | 225.134.92.0/24 | 225.134.92.1 to 225.134.92.254 | 225.134.92.255 | 254 |
| 94 | 225.134.93.0/24 | 225.134.93.1 to 225.134.93.254 | 225.134.93.255 | 254 |
| 95 | 225.134.94.0/24 | 225.134.94.1 to 225.134.94.254 | 225.134.94.255 | 254 |
| 96 | 225.134.95.0/24 | 225.134.95.1 to 225.134.95.254 | 225.134.95.255 | 254 |
| 97 | 225.134.96.0/24 | 225.134.96.1 to 225.134.96.254 | 225.134.96.255 | 254 |
| 98 | 225.134.97.0/24 | 225.134.97.1 to 225.134.97.254 | 225.134.97.255 | 254 |
| 99 | 225.134.98.0/24 | 225.134.98.1 to 225.134.98.254 | 225.134.98.255 | 254 |
| 100 | 225.134.99.0/24 | 225.134.99.1 to 225.134.99.254 | 225.134.99.255 | 254 |
| 101 | 225.134.100.0/24 | 225.134.100.1 to 225.134.100.254 | 225.134.100.255 | 254 |
| 102 | 225.134.101.0/24 | 225.134.101.1 to 225.134.101.254 | 225.134.101.255 | 254 |
| 103 | 225.134.102.0/24 | 225.134.102.1 to 225.134.102.254 | 225.134.102.255 | 254 |
| 104 | 225.134.103.0/24 | 225.134.103.1 to 225.134.103.254 | 225.134.103.255 | 254 |
| 105 | 225.134.104.0/24 | 225.134.104.1 to 225.134.104.254 | 225.134.104.255 | 254 |
| 106 | 225.134.105.0/24 | 225.134.105.1 to 225.134.105.254 | 225.134.105.255 | 254 |
| 107 | 225.134.106.0/24 | 225.134.106.1 to 225.134.106.254 | 225.134.106.255 | 254 |
| 108 | 225.134.107.0/24 | 225.134.107.1 to 225.134.107.254 | 225.134.107.255 | 254 |
| 109 | 225.134.108.0/24 | 225.134.108.1 to 225.134.108.254 | 225.134.108.255 | 254 |
| 110 | 225.134.109.0/24 | 225.134.109.1 to 225.134.109.254 | 225.134.109.255 | 254 |
| 111 | 225.134.110.0/24 | 225.134.110.1 to 225.134.110.254 | 225.134.110.255 | 254 |
| 112 | 225.134.111.0/24 | 225.134.111.1 to 225.134.111.254 | 225.134.111.255 | 254 |
| 113 | 225.134.112.0/24 | 225.134.112.1 to 225.134.112.254 | 225.134.112.255 | 254 |
| 114 | 225.134.113.0/24 | 225.134.113.1 to 225.134.113.254 | 225.134.113.255 | 254 |
| 115 | 225.134.114.0/24 | 225.134.114.1 to 225.134.114.254 | 225.134.114.255 | 254 |
| 116 | 225.134.115.0/24 | 225.134.115.1 to 225.134.115.254 | 225.134.115.255 | 254 |
| 117 | 225.134.116.0/24 | 225.134.116.1 to 225.134.116.254 | 225.134.116.255 | 254 |
| 118 | 225.134.117.0/24 | 225.134.117.1 to 225.134.117.254 | 225.134.117.255 | 254 |
| 119 | 225.134.118.0/24 | 225.134.118.1 to 225.134.118.254 | 225.134.118.255 | 254 |
| 120 | 225.134.119.0/24 | 225.134.119.1 to 225.134.119.254 | 225.134.119.255 | 254 |
| 121 | 225.134.120.0/24 | 225.134.120.1 to 225.134.120.254 | 225.134.120.255 | 254 |
| 122 | 225.134.121.0/24 | 225.134.121.1 to 225.134.121.254 | 225.134.121.255 | 254 |
| 123 | 225.134.122.0/24 | 225.134.122.1 to 225.134.122.254 | 225.134.122.255 | 254 |
| 124 | 225.134.123.0/24 | 225.134.123.1 to 225.134.123.254 | 225.134.123.255 | 254 |
| 125 | 225.134.124.0/24 | 225.134.124.1 to 225.134.124.254 | 225.134.124.255 | 254 |
| 126 | 225.134.125.0/24 | 225.134.125.1 to 225.134.125.254 | 225.134.125.255 | 254 |
| 127 | 225.134.126.0/24 | 225.134.126.1 to 225.134.126.254 | 225.134.126.255 | 254 |
| 128 | 225.134.127.0/24 | 225.134.127.1 to 225.134.127.254 | 225.134.127.255 | 254 |
| 129 | 225.134.128.0/24 | 225.134.128.1 to 225.134.128.254 | 225.134.128.255 | 254 |
| 130 | 225.134.129.0/24 | 225.134.129.1 to 225.134.129.254 | 225.134.129.255 | 254 |
| 131 | 225.134.130.0/24 | 225.134.130.1 to 225.134.130.254 | 225.134.130.255 | 254 |
| 132 | 225.134.131.0/24 | 225.134.131.1 to 225.134.131.254 | 225.134.131.255 | 254 |
| 133 | 225.134.132.0/24 | 225.134.132.1 to 225.134.132.254 | 225.134.132.255 | 254 |
| 134 | 225.134.133.0/24 | 225.134.133.1 to 225.134.133.254 | 225.134.133.255 | 254 |
| 135 | 225.134.134.0/24 | 225.134.134.1 to 225.134.134.254 | 225.134.134.255 | 254 |
| 136 | 225.134.135.0/24 | 225.134.135.1 to 225.134.135.254 | 225.134.135.255 | 254 |
| 137 | 225.134.136.0/24 | 225.134.136.1 to 225.134.136.254 | 225.134.136.255 | 254 |
| 138 | 225.134.137.0/24 | 225.134.137.1 to 225.134.137.254 | 225.134.137.255 | 254 |
| 139 | 225.134.138.0/24 | 225.134.138.1 to 225.134.138.254 | 225.134.138.255 | 254 |
| 140 | 225.134.139.0/24 | 225.134.139.1 to 225.134.139.254 | 225.134.139.255 | 254 |
| 141 | 225.134.140.0/24 | 225.134.140.1 to 225.134.140.254 | 225.134.140.255 | 254 |
| 142 | 225.134.141.0/24 | 225.134.141.1 to 225.134.141.254 | 225.134.141.255 | 254 |
| 143 | 225.134.142.0/24 | 225.134.142.1 to 225.134.142.254 | 225.134.142.255 | 254 |
| 144 | 225.134.143.0/24 | 225.134.143.1 to 225.134.143.254 | 225.134.143.255 | 254 |
| 145 | 225.134.144.0/24 | 225.134.144.1 to 225.134.144.254 | 225.134.144.255 | 254 |
| 146 | 225.134.145.0/24 | 225.134.145.1 to 225.134.145.254 | 225.134.145.255 | 254 |
| 147 | 225.134.146.0/24 | 225.134.146.1 to 225.134.146.254 | 225.134.146.255 | 254 |
| 148 | 225.134.147.0/24 | 225.134.147.1 to 225.134.147.254 | 225.134.147.255 | 254 |
| 149 | 225.134.148.0/24 | 225.134.148.1 to 225.134.148.254 | 225.134.148.255 | 254 |
| 150 | 225.134.149.0/24 | 225.134.149.1 to 225.134.149.254 | 225.134.149.255 | 254 |
| 151 | 225.134.150.0/24 | 225.134.150.1 to 225.134.150.254 | 225.134.150.255 | 254 |
| 152 | 225.134.151.0/24 | 225.134.151.1 to 225.134.151.254 | 225.134.151.255 | 254 |
| 153 | 225.134.152.0/24 | 225.134.152.1 to 225.134.152.254 | 225.134.152.255 | 254 |
| 154 | 225.134.153.0/24 | 225.134.153.1 to 225.134.153.254 | 225.134.153.255 | 254 |
| 155 | 225.134.154.0/24 | 225.134.154.1 to 225.134.154.254 | 225.134.154.255 | 254 |
| 156 | 225.134.155.0/24 | 225.134.155.1 to 225.134.155.254 | 225.134.155.255 | 254 |
| 157 | 225.134.156.0/24 | 225.134.156.1 to 225.134.156.254 | 225.134.156.255 | 254 |
| 158 | 225.134.157.0/24 | 225.134.157.1 to 225.134.157.254 | 225.134.157.255 | 254 |
| 159 | 225.134.158.0/24 | 225.134.158.1 to 225.134.158.254 | 225.134.158.255 | 254 |
| 160 | 225.134.159.0/24 | 225.134.159.1 to 225.134.159.254 | 225.134.159.255 | 254 |
| 161 | 225.134.160.0/24 | 225.134.160.1 to 225.134.160.254 | 225.134.160.255 | 254 |
| 162 | 225.134.161.0/24 | 225.134.161.1 to 225.134.161.254 | 225.134.161.255 | 254 |
| 163 | 225.134.162.0/24 | 225.134.162.1 to 225.134.162.254 | 225.134.162.255 | 254 |
| 164 | 225.134.163.0/24 | 225.134.163.1 to 225.134.163.254 | 225.134.163.255 | 254 |
| 165 | 225.134.164.0/24 | 225.134.164.1 to 225.134.164.254 | 225.134.164.255 | 254 |
| 166 | 225.134.165.0/24 | 225.134.165.1 to 225.134.165.254 | 225.134.165.255 | 254 |
| 167 | 225.134.166.0/24 | 225.134.166.1 to 225.134.166.254 | 225.134.166.255 | 254 |
| 168 | 225.134.167.0/24 | 225.134.167.1 to 225.134.167.254 | 225.134.167.255 | 254 |
| 169 | 225.134.168.0/24 | 225.134.168.1 to 225.134.168.254 | 225.134.168.255 | 254 |
| 170 | 225.134.169.0/24 | 225.134.169.1 to 225.134.169.254 | 225.134.169.255 | 254 |
| 171 | 225.134.170.0/24 | 225.134.170.1 to 225.134.170.254 | 225.134.170.255 | 254 |
| 172 | 225.134.171.0/24 | 225.134.171.1 to 225.134.171.254 | 225.134.171.255 | 254 |
| 173 | 225.134.172.0/24 | 225.134.172.1 to 225.134.172.254 | 225.134.172.255 | 254 |
| 174 | 225.134.173.0/24 | 225.134.173.1 to 225.134.173.254 | 225.134.173.255 | 254 |
| 175 | 225.134.174.0/24 | 225.134.174.1 to 225.134.174.254 | 225.134.174.255 | 254 |
| 176 | 225.134.175.0/24 | 225.134.175.1 to 225.134.175.254 | 225.134.175.255 | 254 |
| 177 | 225.134.176.0/24 | 225.134.176.1 to 225.134.176.254 | 225.134.176.255 | 254 |
| 178 | 225.134.177.0/24 | 225.134.177.1 to 225.134.177.254 | 225.134.177.255 | 254 |
| 179 | 225.134.178.0/24 | 225.134.178.1 to 225.134.178.254 | 225.134.178.255 | 254 |
| 180 | 225.134.179.0/24 | 225.134.179.1 to 225.134.179.254 | 225.134.179.255 | 254 |
| 181 | 225.134.180.0/24 | 225.134.180.1 to 225.134.180.254 | 225.134.180.255 | 254 |
| 182 | 225.134.181.0/24 | 225.134.181.1 to 225.134.181.254 | 225.134.181.255 | 254 |
| 183 | 225.134.182.0/24 | 225.134.182.1 to 225.134.182.254 | 225.134.182.255 | 254 |
| 184 | 225.134.183.0/24 | 225.134.183.1 to 225.134.183.254 | 225.134.183.255 | 254 |
| 185 | 225.134.184.0/24 | 225.134.184.1 to 225.134.184.254 | 225.134.184.255 | 254 |
| 186 | 225.134.185.0/24 | 225.134.185.1 to 225.134.185.254 | 225.134.185.255 | 254 |
| 187 | 225.134.186.0/24 | 225.134.186.1 to 225.134.186.254 | 225.134.186.255 | 254 |
| 188 | 225.134.187.0/24 | 225.134.187.1 to 225.134.187.254 | 225.134.187.255 | 254 |
| 189 | 225.134.188.0/24 | 225.134.188.1 to 225.134.188.254 | 225.134.188.255 | 254 |
| 190 | 225.134.189.0/24 | 225.134.189.1 to 225.134.189.254 | 225.134.189.255 | 254 |
| 191 | 225.134.190.0/24 | 225.134.190.1 to 225.134.190.254 | 225.134.190.255 | 254 |
| 192 | 225.134.191.0/24 | 225.134.191.1 to 225.134.191.254 | 225.134.191.255 | 254 |
| 193 | 225.134.192.0/24 | 225.134.192.1 to 225.134.192.254 | 225.134.192.255 | 254 |
| 194 | 225.134.193.0/24 | 225.134.193.1 to 225.134.193.254 | 225.134.193.255 | 254 |
| 195 | 225.134.194.0/24 | 225.134.194.1 to 225.134.194.254 | 225.134.194.255 | 254 |
| 196 | 225.134.195.0/24 | 225.134.195.1 to 225.134.195.254 | 225.134.195.255 | 254 |
| 197 | 225.134.196.0/24 | 225.134.196.1 to 225.134.196.254 | 225.134.196.255 | 254 |
| 198 | 225.134.197.0/24 | 225.134.197.1 to 225.134.197.254 | 225.134.197.255 | 254 |
| 199 | 225.134.198.0/24 | 225.134.198.1 to 225.134.198.254 | 225.134.198.255 | 254 |
| 200 | 225.134.199.0/24 | 225.134.199.1 to 225.134.199.254 | 225.134.199.255 | 254 |
| 201 | 225.134.200.0/24 | 225.134.200.1 to 225.134.200.254 | 225.134.200.255 | 254 |
| 202 | 225.134.201.0/24 | 225.134.201.1 to 225.134.201.254 | 225.134.201.255 | 254 |
| 203 | 225.134.202.0/24 | 225.134.202.1 to 225.134.202.254 | 225.134.202.255 | 254 |
| 204 | 225.134.203.0/24 | 225.134.203.1 to 225.134.203.254 | 225.134.203.255 | 254 |
| 205 | 225.134.204.0/24 | 225.134.204.1 to 225.134.204.254 | 225.134.204.255 | 254 |
| 206 | 225.134.205.0/24 | 225.134.205.1 to 225.134.205.254 | 225.134.205.255 | 254 |
| 207 | 225.134.206.0/24 | 225.134.206.1 to 225.134.206.254 | 225.134.206.255 | 254 |
| 208 | 225.134.207.0/24 | 225.134.207.1 to 225.134.207.254 | 225.134.207.255 | 254 |
| 209 | 225.134.208.0/24 | 225.134.208.1 to 225.134.208.254 | 225.134.208.255 | 254 |
| 210 | 225.134.209.0/24 | 225.134.209.1 to 225.134.209.254 | 225.134.209.255 | 254 |
| 211 | 225.134.210.0/24 | 225.134.210.1 to 225.134.210.254 | 225.134.210.255 | 254 |
| 212 | 225.134.211.0/24 | 225.134.211.1 to 225.134.211.254 | 225.134.211.255 | 254 |
| 213 | 225.134.212.0/24 | 225.134.212.1 to 225.134.212.254 | 225.134.212.255 | 254 |
| 214 | 225.134.213.0/24 | 225.134.213.1 to 225.134.213.254 | 225.134.213.255 | 254 |
| 215 | 225.134.214.0/24 | 225.134.214.1 to 225.134.214.254 | 225.134.214.255 | 254 |
| 216 | 225.134.215.0/24 | 225.134.215.1 to 225.134.215.254 | 225.134.215.255 | 254 |
| 217 | 225.134.216.0/24 | 225.134.216.1 to 225.134.216.254 | 225.134.216.255 | 254 |
| 218 | 225.134.217.0/24 | 225.134.217.1 to 225.134.217.254 | 225.134.217.255 | 254 |
| 219 | 225.134.218.0/24 | 225.134.218.1 to 225.134.218.254 | 225.134.218.255 | 254 |
| 220 | 225.134.219.0/24 | 225.134.219.1 to 225.134.219.254 | 225.134.219.255 | 254 |
| 221 | 225.134.220.0/24 | 225.134.220.1 to 225.134.220.254 | 225.134.220.255 | 254 |
| 222 | 225.134.221.0/24 | 225.134.221.1 to 225.134.221.254 | 225.134.221.255 | 254 |
| 223 | 225.134.222.0/24 | 225.134.222.1 to 225.134.222.254 | 225.134.222.255 | 254 |
| 224 | 225.134.223.0/24 | 225.134.223.1 to 225.134.223.254 | 225.134.223.255 | 254 |
| 225 | 225.134.224.0/24 | 225.134.224.1 to 225.134.224.254 | 225.134.224.255 | 254 |
| 226 | 225.134.225.0/24 | 225.134.225.1 to 225.134.225.254 | 225.134.225.255 | 254 |
| 227 | 225.134.226.0/24 | 225.134.226.1 to 225.134.226.254 | 225.134.226.255 | 254 |
| 228 | 225.134.227.0/24 | 225.134.227.1 to 225.134.227.254 | 225.134.227.255 | 254 |
| 229 | 225.134.228.0/24 | 225.134.228.1 to 225.134.228.254 | 225.134.228.255 | 254 |
| 230 | 225.134.229.0/24 | 225.134.229.1 to 225.134.229.254 | 225.134.229.255 | 254 |
| 231 | 225.134.230.0/24 | 225.134.230.1 to 225.134.230.254 | 225.134.230.255 | 254 |
| 232 | 225.134.231.0/24 | 225.134.231.1 to 225.134.231.254 | 225.134.231.255 | 254 |
| 233 | 225.134.232.0/24 | 225.134.232.1 to 225.134.232.254 | 225.134.232.255 | 254 |
| 234 | 225.134.233.0/24 | 225.134.233.1 to 225.134.233.254 | 225.134.233.255 | 254 |
| 235 | 225.134.234.0/24 | 225.134.234.1 to 225.134.234.254 | 225.134.234.255 | 254 |
| 236 | 225.134.235.0/24 | 225.134.235.1 to 225.134.235.254 | 225.134.235.255 | 254 |
| 237 | 225.134.236.0/24 | 225.134.236.1 to 225.134.236.254 | 225.134.236.255 | 254 |
| 238 | 225.134.237.0/24 | 225.134.237.1 to 225.134.237.254 | 225.134.237.255 | 254 |
| 239 | 225.134.238.0/24 | 225.134.238.1 to 225.134.238.254 | 225.134.238.255 | 254 |
| 240 | 225.134.239.0/24 | 225.134.239.1 to 225.134.239.254 | 225.134.239.255 | 254 |
| 241 | 225.134.240.0/24 | 225.134.240.1 to 225.134.240.254 | 225.134.240.255 | 254 |
| 242 | 225.134.241.0/24 | 225.134.241.1 to 225.134.241.254 | 225.134.241.255 | 254 |
| 243 | 225.134.242.0/24 | 225.134.242.1 to 225.134.242.254 | 225.134.242.255 | 254 |
| 244 | 225.134.243.0/24 | 225.134.243.1 to 225.134.243.254 | 225.134.243.255 | 254 |
| 245 | 225.134.244.0/24 | 225.134.244.1 to 225.134.244.254 | 225.134.244.255 | 254 |
| 246 | 225.134.245.0/24 | 225.134.245.1 to 225.134.245.254 | 225.134.245.255 | 254 |
| 247 | 225.134.246.0/24 | 225.134.246.1 to 225.134.246.254 | 225.134.246.255 | 254 |
| 248 | 225.134.247.0/24 | 225.134.247.1 to 225.134.247.254 | 225.134.247.255 | 254 |
| 249 | 225.134.248.0/24 | 225.134.248.1 to 225.134.248.254 | 225.134.248.255 | 254 |
| 250 | 225.134.249.0/24 | 225.134.249.1 to 225.134.249.254 | 225.134.249.255 | 254 |
| 251 | 225.134.250.0/24 | 225.134.250.1 to 225.134.250.254 | 225.134.250.255 | 254 |
| 252 | 225.134.251.0/24 | 225.134.251.1 to 225.134.251.254 | 225.134.251.255 | 254 |
| 253 | 225.134.252.0/24 | 225.134.252.1 to 225.134.252.254 | 225.134.252.255 | 254 |
| 254 | 225.134.253.0/24 | 225.134.253.1 to 225.134.253.254 | 225.134.253.255 | 254 |
| 255 | 225.134.254.0/24 | 225.134.254.1 to 225.134.254.254 | 225.134.254.255 | 254 |
| 256 | 225.134.255.0/24 | 225.134.255.1 to 225.134.255.254 | 225.134.255.255 | 254 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |